> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/adding-money-to-wallet.md).

# Adding money to wallet

A user may add both crypto and fiat currencies to its Verified account. An application may therefore enable a user to transfer ether to its Verified wallet and to pay in supported fiat currencies against which ERC20 compatible Verified cash tokens of equivalent value are issued to the user's wallet. Verified cash tokens are used for payments and settlements on the Verified Network and can also be used outside the Verified Network on the ethereum mainnet and on ethereum compatible blockchains like Polygon.

### Transferring ether to the Verified wallet

A user can transfer ether to the Verified wallet from any ERC20 compatible ethereum wallet such as MetaMask, Ledger and Mew. All that is required for a transfer of ether is the address of the user's Verified wallet.&#x20;

### Pay in of ether for issue of cash tokens

Users can send ether from their Verified wallets to the Verified cash contract address for a currency that the user wants cash tokens to be issued in. For example, if a user wants Verified USD cash tokens, it has to send ether to the Verified USD cash contract address. Verified cash tokens are currently issued for the US dollar, British pounds, Euro, Japanese Yen, Mexican Peso, HongKong dollar, Canadian dollar, Singapore dollar, and the Australian dollar.&#x20;

Verified cash token addresses can be obtained from the Factory contract. An example of how this works is [shown here](broken://pages/BBc9IfEbbuD7ZidDA95x).

### Pay in of fiat from bank accounts and cards

Users can pay in a variety of supported currencies from their card and bank accounts into their Verified accounts. Custodians on the Verified Network keep custody of paid in fiat currencies and issue Verified cash tokens to wallets of users that pay in fiat.&#x20;

Application developers can use any fiat payment gateway supporting a currency of choice for paying in to Custodian accounts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/adding-money-to-wallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
